﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XAMLTools
{
    internal class TypeValidator
    {
        internal static bool isValid(DependencyObject obj)
        {
            return (obj.GetType().Assembly.ToString() == "agclr, Version=0.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a");
        }
    }
    public class TypeValidationException : Exception
    {
        public TypeValidationException()
        { }
        public override string Message
        {
            get
            {
                return "This Type is not supported by Xaml Writer";
            }
        }
    }
}
